Author: frankie
Date: 2008-09-22 14:44:32 +0000 (Mon, 22 Sep 2008)
New Revision: 1776

Added:
   packages/qgis/trunk/debian/libqgis-dev.install
   packages/qgis/trunk/debian/libqgis0.install
   packages/qgis/trunk/debian/libqgis0.lintian-overrides
   packages/qgis/trunk/debian/python-qgis.lintian-overrides
   packages/qgis/trunk/debian/qgis-common.install
   packages/qgis/trunk/debian/qgis-plugin-grass-common.install
   packages/qgis/trunk/debian/watch
   packages/qgis/trunk/patch-stamp
Modified:
   packages/qgis/trunk/debian/
   packages/qgis/trunk/debian/changelog
   packages/qgis/trunk/debian/compat
   packages/qgis/trunk/debian/control
   packages/qgis/trunk/debian/qgis-plugin-grass.install
   packages/qgis/trunk/debian/qgis.install
   packages/qgis/trunk/debian/rules
Log:
[svn-inject] Applying Debian modifications to trunk


Property changes on: packages/qgis/trunk/debian
___________________________________________________________________
Name: mergeWithUpstream
   + 1

Modified: packages/qgis/trunk/debian/changelog
===================================================================
--- packages/qgis/trunk/debian/changelog        2008-09-22 14:44:17 UTC (rev 
1775)
+++ packages/qgis/trunk/debian/changelog        2008-09-22 14:44:32 UTC (rev 
1776)
@@ -1,115 +1,76 @@
-qgis (0.11.0-1) stable; urgency=low
+qgis (0.11.0-1) unstable; urgency=low
 
-  * libqgispython0.11 integrated into python-qgis
-  * introduced a build conflict with libqgis1-dev
+  * New upstream release
+  * Add myself as Uploader
+  * Add debian/watch file
+  * Bump Standards-Version to 3.8.0
+  * Remove Debian revision from build-depends on libgeos-dev
+  * Unapply all previous (0.9) patches. Disable dpatch depends
+  * Split architecture-independent supporting data files from qgis and 
+    qgis-plugin-grass into -common packages
+  * Add lintian-overrides for package-name-doesnt-match-sonames and 
+    non-dev-pkg-with-shlib-symlink.
+  * Change versioned depends on debhelper (>= 6.0.7~), needed by dh_lintian
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Wed, 16 Jul 2008 22:42:11 +0200
+ -- Ruben Molina <[EMAIL PROTECTED]>  Mon, 15 Sep 2008 20:41:44 -0500
 
-qgis (0.11.0) stable; urgency=low
+qgis (0.9.1-2) UNRELEASED; urgency=low
 
-  * New upstream release: Quantum GIS 0.11.0 'Metis'
+  * Added gcc43.dpatch to fix GCC 4.3 issues, again. Thanks tbm, as always.
+    (closes: #456064)
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Tue, 15 Jul 2008 20:41:12 +0200
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Wed, 19 Mar 2008 13:10:37 
+0100
 
-qgis (0.11.0test3) experimental; urgency=low
+qgis (0.9.1-1) unstable; urgency=low
 
-  * add memory provider
+  * New upstream release
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Tue, 10 Jun 2008 15:32:42 +0200
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Mon, 28 Jan 2008 13:48:05 
+0100
 
-qgis (0.11.0test2) experimental; urgency=low
+qgis (0.9.0-1) UNRELEASED; urgency=low
 
-  * removed 'upstream' changes from changelog 
-  * policy update 3.7.2 to 3.7.3
-  * python support: renamed qgis-python-plugin to python-qgis, moved to python
-    section, added Python:Provides
-  * replaced QGIS with Quantum GIS in descriptions
-  * moved so symlinks to dev package
+  * New upstream release. This is the first version with a true python-enabled 
support.
+  * Changed deprecated ${Source-Version} in ${binary:Version}.
+  * Fixed lintian error: debian-rules-ignores-make-clean-error.
+  * Unapply all previous (0.8) patches.
+  * Conforming to current python policy using python-central. 
+    Qgis now provides python extensions built for default python only.
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Sun, 01 Jun 2008 13:45:39 +0200
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Tue, 06 Nov 2007 11:07:52 
+0100
 
-qgis (0.11.0test1) experimental; urgency=low
+qgis (0.8.1-2) unstable; urgency=medium
 
-  * prepackaging of Quantum GIS 0.11.0 'Mantis'
-  * raised abi from 0.10 to 0.11
-  * separate packages for python support
-  * raised dependency from python-qt4* from 4.0.0 to 4.1.0
-  * call cmake with -Wno-dev
+  [ Francesco Paolo Lovergine ]
+  * Fixed wrong build-deps:
+       python-qt4-dev -> python-qt4
+        python-sip4-dev -> python-sip4
+  * Added composer.dpatch that should fix some archs FTBS. 
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Thu, 29 May 2008 00:23:14 +0200
+  [ Paul Wise ]
+  * Switch to new Homepage field
 
-qgis (0.10.0-2) gutsy; urgency=low
-  
-  * fix libgdal1 grass dependency for ubuntu gutsy/hardy (1.4.0 | 1.5.0)
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Mon, 15 Oct 2007 18:03:32 
+0200
 
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Wed, 30 Apr 2008 22:35:42 +0200
+qgis (0.8.1-1) unstable; urgency=high
 
-qgis (0.10.0-1) gutsy; urgency=low
-  
-  * updated Maintainer field
-  * updated version for sip build dependency and removed old libgdal<1.5
-    dependencies.
-  * removed explicit shared library dependency for qgis and qgis-grass-plugin.
-  * removed recommends for qt4-designer on libqgis1-dev, because there's also
-    a depends.
-
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Mon, 28 Apr 2008 22:21:53 +0200
-
-qgis (0.10.0) gutsy; urgency=low
-
-  * Quantum GIS 0.10.0 'Io' upstream release
-
- -- Jürgen E. Fischer <[EMAIL PROTECTED]>  Fri, 18 Apr 2008 00:51:58 +0200
-
-qgis (0.9.2test1) gutsy; urgency=low
-
-  * Testing package to see if icons deploy 
-
- -- Tim Sutton <[EMAIL PROTECTED]>  Tue, 12 Feb 2008 21:18:35 -0200
-
-qgis (0.9.2rc1) gutsy; urgency=low
-
-  * new upstream release
-
- -- Tim Sutton <[EMAIL PROTECTED]>  Mon, 28 Jan 2008 23:00:41 -0200
-
-qgis (0.9.1) gutsy; urgency=low
-
-  * new upstream release
-
- -- Tim Sutton <[EMAIL PROTECTED]>  Fri, 07 Dec 2007 01:36:55 -0200
-
-qgis (0.9.0) gutsy; urgency=low
-
-  * Quantum GIS 0.9.0 'Ganymede' release 
-
- -- Tim Sutton <[EMAIL PROTECTED]>  Tue, 28 Aug 2007 22:43:41 -0300
-
-qgis (0.8.1-3) UNRELEASED; urgency=low
-
-  * Added Build-Depends: sip4.
-
- -- Niccolo Rigacci <[EMAIL PROTECTED]>  Fri, 10 Aug 2007 11:37:29 +0200
-
-qgis (0.8.1-2) UNRELEASED; urgency=low
-
-  * Quick-and-dirty changes on Debian files.
-
- -- Niccolo Rigacci <[EMAIL PROTECTED]>  Fri, 10 Aug 2007 10:52:25 +0200
-
-qgis (0.8.1-1) UNRELEASED; urgency=low
-
+  [ Francesco Paolo Lovergine ]
   * New upstream release.
+    (closes: #431031)
   * Now the building system is based on cmake. Qt4 and SIP are required.
   * Added cmake.dpatch new patch (to build-up consistently).
-  * Added georef.dpatch new patch (improvement of georeferencer by Martin 
Dobias).
   * Removed obsolete postgresql-dev build-dep.
     (closes: #429984)
   * Removed obsolete libmysqlclient14-dev build-dep.
-  * Added a grid_maker patch to compile standalone binaries.
+  * Added a grid_maker patch to compile standalone binaries - inactive.
+  * Added georef.dpatch new patch (improvement of georeferencer by Martin 
Dobias) - inactive
+  * Added a versioned explicit dependency on libqgis1 to avoid possible
+    breakages by mixing 0.8.0 and 0.8.1 stuff.
 
- -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Fri, 29 Jun 2007 16:03:56 
+0200
+  [ Paul Wise ]
+  * Update for menu transition
 
+ -- Francesco Paolo Lovergine <[EMAIL PROTECTED]>  Sat, 08 Sep 2007 11:41:18 
+0200
+
 qgis (0.8.0-5) unstable; urgency=low
 
   * Added python-dev build-dep. 

Modified: packages/qgis/trunk/debian/compat
===================================================================
--- packages/qgis/trunk/debian/compat   2008-09-22 14:44:17 UTC (rev 1775)
+++ packages/qgis/trunk/debian/compat   2008-09-22 14:44:32 UTC (rev 1776)
@@ -1 +1 @@
-5
+6

Modified: packages/qgis/trunk/debian/control
===================================================================
--- packages/qgis/trunk/debian/control  2008-09-22 14:44:17 UTC (rev 1775)
+++ packages/qgis/trunk/debian/control  2008-09-22 14:44:32 UTC (rev 1776)
@@ -2,23 +2,25 @@
 Section: science
 Priority: extra
 Maintainer: Quantum GIS developers <[EMAIL PROTECTED]>
-Build-Depends: debhelper (>= 5.0.0), libgdal1-dev, libpq-dev, 
- libgeos-dev (>= 2.0.1-1), dpatch, grass-dev, libsqlite3-dev, libgsl0-dev, 
proj, libexpat1-dev, 
+Uploaders: Ruben Molina <[EMAIL PROTECTED]>
+Build-Depends: debhelper (>= 6.0.7~), libgdal1-dev, libpq-dev, 
+ libgeos-dev (>= 2.0.1), grass-dev, libsqlite3-dev, libgsl0-dev, proj, 
libexpat1-dev, 
  flex, bison, python-dev, cmake (>=2.4.3), python-sip4 (>= 4.5.0), 
python-central (>=0.5), python,
  sharutils, sip4 (>= 4.5), libqt4-core (>=4.2.0), libqt4-dev (>=4.2.0), 
libqt4-gui (>=4.2.0),
  libqt4-qt3support (>=4.2.0), libqt4-sql (>=4.2.0), python-qt4 (>=4.1.0), 
python-qt4-dev (>=4.1.0),
  python-sip4-dev (>= 4.5.0), libfontconfig1-dev, libxi-dev, libxrandr-dev, 
libxrender-dev, libice-dev,
  libsm-dev
+#dpatch
 Build-Conflicts: libqgis1-dev
-Standards-Version: 3.7.3
+Standards-Version: 3.8.0
 XS-Python-Version: current
 Homepage: http://qgis.org/
 
 Package: qgis
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, qgis-common (= ${source:Version})
 Suggests: qgis-plugin-grass, python-qgis
-Description: Geographic Information System (GIS)
+Description: manages, analyzes, and displays geographic information databases
  A Geographic Information System (GIS) manages, analyzes, and displays
  databases of geographic information. Quantum GIS (QGIS) supports shapefile
  viewing and editing, spatial data storage with PostgreSQL/PostGIS, projection
@@ -27,41 +29,36 @@
  Digital Elevation Model (DEM) formats including GeoTIFF, Arc/Info ASCII Grid,
  and USGS ASCII DEM.
 
-Package: libqgis-core0.11
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: qgis (<=0.9.2rc1)
-Conflicts: libqgis1
-Description: Quantum GIS - shared core library
+Package: qgis-common
+Architecture: all
+Description: Quantum GIS - architecture-independent data
  Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
  and display databases of geographic information.
  .
- This package contains the shared core library that
- provides an interface for plugins.
+ This package contains architecture-independent supporting data files for use 
+ with Quantum GIS.
 
-Package: libqgis-gui0.11
+Package: libqgis0
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: qgis (<=0.9.2rc1)
-Conflicts: libqgis1
-Description: Quantum GIS - shared gui library
+Description: Quantum GIS - shared library
  Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
  and display databases of geographic information.
  .
- This package contains the shared gui library that provides an interface for
- plugins.
+ This package contains the shared library that provides an interface 
+ for plugins.
 
-Package: libqgis1-dev
+Package: libqgis-dev
 Architecture: any
 Section: libdevel
-Depends: qgis (= ${binary:Version}), libgdal1-dev | libgdal1-1.3.2-dev,
- libpq-dev | postgresql-dev, libgeos-dev (>= 2.0.1-1), grass-dev,
+Depends: qgis (= ${binary:Version}), libqgis0 (= ${binary:Version}), 
libgdal1-dev | libgdal1-1.3.2-dev,
+ libpq-dev | postgresql-dev, libgeos-dev (>= 2.0.1), grass-dev,
  libsqlite3-dev, libgsl0-dev, proj, libexpat1-dev, libqt4-core (>=4.2.0),
  libqt4-dev (>=4.2.0), libqt4-gui (>=4.2.0), libqt4-qt3support (>=4.2.0),
  libqt4-sql (>=4.2.0), python-qt4 (>=4.1.0), python-qt4-dev (>=4.1.0),
- qt4-designer (>=4.2.0), libqgisgrass0.11, libqgis-gui0.11, libqgis-core0.11
-Provides: libqgis-dev
-Conflicts: libqgis-dev, qgis-dev
+ qt4-designer (>=4.2.0)
+Conflicts: qgis-dev
 Replaces: qgis-dev
 Description: Quantum GIS - development files
  Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
@@ -72,30 +69,31 @@
 
 Package: qgis-plugin-grass
 Architecture: any
-Depends: qgis (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}, 
libgdal1-1.4.0-grass | libgdal1-1.5.0-grass
-Description: Plugin for accessing GRASS data from Quantum GIS
+Depends: qgis (= ${binary:Version}), qgis-plugin-grass-common (= 
${source:Version}), ${shlibs:Depends}, ${misc:Depends}, libgdal1-1.4.0-grass | 
libgdal1-1.5.0-grass
+Description: GRASS plugin for Quantum GIS
+ Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
+ and display databases of geographic information.
+ .
  This plugin enables a GRASS data access toolbox in the Quantum GIS geographic
  data viewer.
 
-Package: libqgisgrass0.11
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Quantum GIS - shared grass library
+Package: qgis-plugin-grass-common
+Architecture: all
+Description: GRASS plugin for Quantum GIS - architecture-independent data
  Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
  and display databases of geographic information.
  .
- This package contains the shared library for the grass plugin.
+ This package contains architecture-independent supporting data files for use
+ with Quantum GIS GRASS plugin.
 
 Package: python-qgis
 Section: python
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Provides: ${python:Provides}
-Replaces: libqgispython0.11
 XB-Python-Version: ${python:Versions}
 Description: Python bindings to Quantum GIS
  Quantum GIS is a Geographic Information System (GIS) which manages, analyzes
  and display databases of geographic information.
  .
  This package contains the files for the Python support.
-

Added: packages/qgis/trunk/debian/libqgis-dev.install
===================================================================
--- packages/qgis/trunk/debian/libqgis-dev.install                              
(rev 0)
+++ packages/qgis/trunk/debian/libqgis-dev.install      2008-09-22 14:44:32 UTC 
(rev 1776)
@@ -0,0 +1,4 @@
+usr/include/qgis/*
+usr/lib/libqgisgrass.so
+usr/lib/libqgis_gui.so
+usr/lib/libqgis_core.so

Added: packages/qgis/trunk/debian/libqgis0.install
===================================================================
--- packages/qgis/trunk/debian/libqgis0.install                         (rev 0)
+++ packages/qgis/trunk/debian/libqgis0.install 2008-09-22 14:44:32 UTC (rev 
1776)
@@ -0,0 +1,3 @@
+usr/lib/libqgis_core.so.*
+usr/lib/libqgis_gui.so.*
+usr/lib/libqgisgrass.so.*

Added: packages/qgis/trunk/debian/libqgis0.lintian-overrides
===================================================================
--- packages/qgis/trunk/debian/libqgis0.lintian-overrides                       
        (rev 0)
+++ packages/qgis/trunk/debian/libqgis0.lintian-overrides       2008-09-22 
14:44:32 UTC (rev 1776)
@@ -0,0 +1 @@
+libqgis0: package-name-doesnt-match-sonames

Added: packages/qgis/trunk/debian/python-qgis.lintian-overrides
===================================================================
--- packages/qgis/trunk/debian/python-qgis.lintian-overrides                    
        (rev 0)
+++ packages/qgis/trunk/debian/python-qgis.lintian-overrides    2008-09-22 
14:44:32 UTC (rev 1776)
@@ -0,0 +1,2 @@
+python-qgis: package-name-doesnt-match-sonames
+python-qgis: non-dev-pkg-with-shlib-symlink

Added: packages/qgis/trunk/debian/qgis-common.install
===================================================================
--- packages/qgis/trunk/debian/qgis-common.install                              
(rev 0)
+++ packages/qgis/trunk/debian/qgis-common.install      2008-09-22 14:44:32 UTC 
(rev 1776)
@@ -0,0 +1,13 @@
+usr/share/qgis/doc/CODING
+usr/share/qgis/doc/favicon.ico 
+usr/share/qgis/doc/index.html
+usr/share/qgis/doc/qgisdoc.css
+usr/share/qgis/doc/AUTHORS
+usr/share/qgis/doc/SPONSORS
+usr/share/qgis/doc/images
+usr/share/qgis/doc/userguide.pdf usr/share/doc/qgis
+usr/share/qgis/i18n/*
+usr/share/qgis/images/*
+usr/share/qgis/resources/*
+usr/share/qgis/svg/*
+usr/share/qgis/themes/*

Added: packages/qgis/trunk/debian/qgis-plugin-grass-common.install
===================================================================
--- packages/qgis/trunk/debian/qgis-plugin-grass-common.install                 
        (rev 0)
+++ packages/qgis/trunk/debian/qgis-plugin-grass-common.install 2008-09-22 
14:44:32 UTC (rev 1776)
@@ -0,0 +1 @@
+usr/share/qgis/grass/*

Modified: packages/qgis/trunk/debian/qgis-plugin-grass.install
===================================================================
--- packages/qgis/trunk/debian/qgis-plugin-grass.install        2008-09-22 
14:44:17 UTC (rev 1775)
+++ packages/qgis/trunk/debian/qgis-plugin-grass.install        2008-09-22 
14:44:32 UTC (rev 1776)
@@ -1,3 +1,3 @@
 usr/lib/qgis/libgrassplugin.so
 usr/lib/qgis/libgrassprovider.so
-usr/share/qgis/grass/*
+#usr/share/qgis/grass/*

Modified: packages/qgis/trunk/debian/qgis.install
===================================================================
--- packages/qgis/trunk/debian/qgis.install     2008-09-22 14:44:17 UTC (rev 
1775)
+++ packages/qgis/trunk/debian/qgis.install     2008-09-22 14:44:32 UTC (rev 
1776)
@@ -1,19 +1,19 @@
 usr/bin/qgis
 usr/bin/qgis_help
-usr/share/qgis/doc/CODING
-usr/share/qgis/doc/favicon.ico 
-usr/share/qgis/doc/index.html
-usr/share/qgis/doc/qgisdoc.css
-usr/share/qgis/doc/AUTHORS
-usr/share/qgis/doc/SPONSORS
-usr/share/qgis/doc/images
-usr/share/qgis/doc/userguide.pdf usr/share/doc/qgis
+#usr/share/qgis/doc/CODING
+#usr/share/qgis/doc/favicon.ico 
+#usr/share/qgis/doc/index.html
+#usr/share/qgis/doc/qgisdoc.css
+#usr/share/qgis/doc/AUTHORS
+#usr/share/qgis/doc/SPONSORS
+#usr/share/qgis/doc/images
+#usr/share/qgis/doc/userguide.pdf usr/share/doc/qgis
 usr/share/pixmaps/*
-usr/share/qgis/i18n/*
-usr/share/qgis/images/*
-usr/share/qgis/resources/*
-usr/share/qgis/svg/*
-usr/share/qgis/themes/*
+#usr/share/qgis/i18n/*
+#usr/share/qgis/images/*
+#usr/share/qgis/resources/*
+#usr/share/qgis/svg/*
+#usr/share/qgis/themes/*
 usr/lib/qgis/libcopyrightlabelplugin.so
 usr/lib/qgis/libdelimitedtextplugin.so
 usr/lib/qgis/libdelimitedtextprovider.so

Modified: packages/qgis/trunk/debian/rules
===================================================================
--- packages/qgis/trunk/debian/rules    2008-09-22 14:44:17 UTC (rev 1775)
+++ packages/qgis/trunk/debian/rules    2008-09-22 14:44:32 UTC (rev 1776)
@@ -6,7 +6,8 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-include /usr/share/dpatch/dpatch.make
+#Disabling dpatch
+#include /usr/share/dpatch/dpatch.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -38,7 +39,9 @@
                -D BINDINGS_GLOBAL_INSTALL=TRUE \
                ../..
 
-build: patch build-stamp
+#Disabling dpatch
+#build: patch build-stamp
+build: build-stamp
 
 build-stamp: debian/build/CMakeCache.txt
        dh_testdir
@@ -48,7 +51,9 @@
 
        touch build-stamp
 
-clean: clean-patched unpatch
+#Disabling dpatch
+#clean: clean-patched unpatch
+clean: clean-patched
 clean-patched:
        dh_testdir
        dh_testroot
@@ -96,6 +101,7 @@
        dh_installman -pqgis qgis_help.man
        dh_installmime -pqgis
        dh_link
+       dh_lintian
        dh_strip
        dh_compress --exclude=pdf
        dh_fixperms

Added: packages/qgis/trunk/debian/watch
===================================================================
--- packages/qgis/trunk/debian/watch                            (rev 0)
+++ packages/qgis/trunk/debian/watch    2008-09-22 14:44:32 UTC (rev 1776)
@@ -0,0 +1,2 @@
+version=3
+http://download.osgeo.org/qgis/src/qgis_(.*).tar.gz

Added: packages/qgis/trunk/patch-stamp
===================================================================
--- packages/qgis/trunk/patch-stamp                             (rev 0)
+++ packages/qgis/trunk/patch-stamp     2008-09-22 14:44:32 UTC (rev 1776)
@@ -0,0 +1,2 @@
+Patches applied in the Debian version of :
+


_______________________________________________
Pkg-grass-devel mailing list
Pkg-grass-devel@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-grass-devel

Reply via email to